Subject: Re: Help with device tree binding for SMC serial

From: Scott Wood <[email-masked]>
Date: Wed, 09 Jan 2008 16:40:45 -0600

Rune Torgersen wrote:
>> From: Scott Wood
>> Don't forget to exclude the SMC parameter RAM from the muram 
>> data area 
>> in /soc/cpm/muram/data/reg.  If you have an older device tree binding 
>> that has no /soc/cpm/muram node, but instead has two resources in 
>> /soc/cpm/reg, you need to move to head-of-tree to get this to work.
> 
> Did that, now we get e checkstop resert. Time to hook up the
> BDI-2000....
> Is there a way to have the bootwrapper use the u-boot serial for a while
> (like a early srial port) for debugging?

If you mean calling into u-boot for a console, no, there's no code for that.

What do your cpm and muram nodes look like?

-Scott